php-symfony-browser-kit-2.3.42-2.el6.noarch.rpm


Advertisement

Description

php-symfony-browser-kit - Symfony BrowserKit Component

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package filename php-symfony-browser-kit-2.3.42-2.el6.noarch.rpm
Package name php-symfony-browser-kit
Package version 2.3.42
Package release 2.el6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://symfony.com
License MIT
Maintainer -
Download size 17.57 KB
Installed size 43.33 KB
BrowserKit simulates the behavior of a web browser.
The component only provide an abstract client and does not provide any
"default" backend for the HTTP layer.

Alternatives

Package Version Architecture Repository
php-symfony-browser-kit-2.8.51-2.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-browser-kit-2.8.51-2.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-browser-kit-2.8.51-1.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-browser-kit-2.8.51-1.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-browser-kit-2.3.42-2.el6.noarch.rpm 2.3.42 noarch EPEL
php-symfony-browser-kit - - -

Requires

Name Value
php-composer(symfony/dom-crawler) = 2.3.42
php-composer(symfony/process) = 2.3.42
php-date -
php-pcre -
php-spl -

Provides

Name Value
php-composer(symfony/browser-kit) = 2.3.42
php-pear(pear.symfony.com/BrowserKit) = 2.3.42
php-symfony-browser-kit = 2.3.42-2.el6
php-symfony-browserkit = 2.3.42
php-symfony2-BrowserKit = 2.3.42

Obsoletes

Name Value
php-symfony-browserkit < 2.3.42
php-symfony2-BrowserKit < 2.3.42

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package php-symfony-browser-kit-2.3.42-2.el6.noarch.rpm
Source Package php-symfony-2.3.42-2.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install php-symfony-browser-kit rpm package:
    # yum install php-symfony-browser-kit

Files

Path
/usr/share/doc/php-symfony-browser-kit-2.3.42/CHANGELOG.md
/usr/share/doc/php-symfony-browser-kit-2.3.42/LICENSE
/usr/share/doc/php-symfony-browser-kit-2.3.42/README.md
/usr/share/doc/php-symfony-browser-kit-2.3.42/composer.json
/usr/share/php/Symfony/Component/BrowserKit/Client.php
/usr/share/php/Symfony/Component/BrowserKit/Cookie.php
/usr/share/php/Symfony/Component/BrowserKit/CookieJar.php
/usr/share/php/Symfony/Component/BrowserKit/History.php
/usr/share/php/Symfony/Component/BrowserKit/Request.php
/usr/share/php/Symfony/Component/BrowserKit/Response.php
/usr/share/php/Symfony/Component/BrowserKit/autoload.php
/usr/share/php/Symfony/Component/BrowserKit/autoloader.php

Changelog

2019-06-19 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-2
- Disable tests by default (follows php-symfony3 and php-symfony4 pkgs)
- Always require build dependencies
- Remove php-composer(paragonie/random_compat) version constraint
2016-09-30 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-1
- Updated to 2.3.42
- CVE-2015-8124
- CVE-2015-8125
- CVE-2016-1902, RHBZ #1340830, RHBZ #1340831
- CVE-2016-4423, RHBZ #1340833, RHBZ #1340834
2015-07-13 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.31-1
- Updated to 2.3.31
- Fixed autoloader
2015-06-06 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.30-1
- Updated to 2.3.30 (BZ #1227264, 1227266)
- CVE-2015-4050, CVE-2015-2308, CVE-2015-2309, CVE-2014-6072, CVE-2014-5245,
CVE-2014-4931, CVE-2014-6061, CVE-2014-5244
- Updated dependencies to use php-composer()
- Added php-composer(symfony/*) provides
- Added autoloaders
2014-01-05 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.9-1
- Updated to 2.3.9 (BZ #1038134)
- Conditional %{?dist}
- Minor bash cosmetic changes
- Skip additional test relying on external resources
- Skip additional el6 test
2013-12-18 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.8-1
- Updated to 2.3.8 (BZ #1038134)
- Temporarily skip test known to fail on Fedora > 20
2013-12-14 - Remi Collet <remi@fedoraproject.org> - 2.3.7-4
- fix PEAR compatibility: add missing "autoloader.php"
2013-11-26 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-3
- Fixed several summaries and descriptions ("Symfony2" => "Symfony")
2013-11-22 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-2
- Renamed from "php-symfony2" to "php-symfony"
- Updated main pkg summary
- Removed dependency on common sub-pkg for sub-pkgs that require other sub-pkgs
- Common sub-pkg obsoletes php-channel-symfony2
- Fixed swiftmailerbridge sub-pkg dependency
- Updated %check to use PHPUnit's "--include-path" option
2013-11-17 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-1
- Updated to 2.3.7
- Separated icu pkg
- Added php-composer(ircmaxell/password-compat) requires for el6 (PHP < 5.5.0)
- common sub-pkg now owns %{symfony_dir}/{Bridge,Bundle,Component}
- Fixed classloader URL

See Also

Package Description
php-symfony-class-loader-2.3.42-2.el6.noarch.rpm Symfony ClassLoader Component
php-symfony-common-2.3.42-2.el6.noarch.rpm Symfony common files
php-symfony-config-2.3.42-2.el6.noarch.rpm Symfony Config Component
php-symfony-console-2.3.42-2.el6.noarch.rpm Symfony Console Component
php-symfony-css-selector-2.3.42-2.el6.noarch.rpm Symfony CssSelector Component
php-symfony-dependency-injection-2.3.42-2.el6.noarch.rpm Symfony DependencyInjection Component
php-symfony-doctrine-bridge-2.3.42-2.el6.noarch.rpm Symfony Doctrine Bridge
php-symfony-dom-crawler-2.3.42-2.el6.noarch.rpm Symfony DomCrawler Component
php-symfony-event-dispatcher-2.3.42-2.el6.noarch.rpm Symfony EventDispatcher Component
php-symfony-filesystem-2.3.42-2.el6.noarch.rpm Symfony Filesystem Component
php-symfony-finder-2.3.42-2.el6.noarch.rpm Symfony Finder Component
php-symfony-form-2.3.42-2.el6.noarch.rpm Symfony Form Component
php-symfony-framework-bundle-2.3.42-2.el6.noarch.rpm Symfony Framework Bundle
php-symfony-http-foundation-2.3.42-2.el6.noarch.rpm Symfony HttpFoundation Component
php-symfony-http-kernel-2.3.42-2.el6.noarch.rpm Symfony HttpKernel Component
Advertisement
Advertisement